package com.xhly.manageapp.network.log

import com.xhly.corelib.network.bean.ResponseData
import com.xhly.manageapp.bean.log.LogAppStartBean
import com.xhly.manageapp.bean.log.LogdOperateBean
import com.xhly.manageapp.bean.log.PadInfoBean
import com.xhly.manageapp.bean.log.PadLocationBean
import com.xhly.manageapp.network.UriAdress
import retrofit2.http.Body
import retrofit2.http.POST

interface LogService {


    /**
     * 设备事件日志-添加
     */
    @POST(UriAdress.LOGDOPERATEADD)
    suspend fun postLogdoperateAdd(@Body logDay: LogdOperateBean)

    /**
     * 设备启动日志-添加
     */
    @POST(UriAdress.LOGAPPSTARTADD)
    suspend fun postLogAppStartAdd(@Body logApp: List<LogAppStartBean>)

    /**
     * 设备--地理位置日志
     */
    @POST(UriAdress.PADLOCATIONADD)
    suspend fun postPadLocation(@Body padLocationBean: PadLocationBean)

    /**
     * 设备--详情日志
     */
    @POST(UriAdress.PADDETAILADD)
    suspend fun postPadDetailAdd(@Body padInfoBean: PadInfoBean):ResponseData<Any?>
}