package com.xhly.manageapp.ui.login.netservice

import com.xhly.corelib.network.bean.ResponseData
import com.xhly.manageapp.bean.LoginBean
import com.xhly.manageapp.bean.user.UserBean
import com.xhly.manageapp.network.UriAdress
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST

interface LoginService {
    @GET("/status/info")
    suspend fun getTest(): ResponseData<String>

    @POST(UriAdress.ULOGIN_LOGIN)
    suspend fun postLogin(@Body loginBean: LoginBean): ResponseData<UserBean>

    /**
     * 退出登录接口参数 userid	number 用户id
     * loginpwd	string 密码
     */
    @POST(UriAdress.ULOGIN_LOGIN_OUT)
    suspend fun postLoginOut(@Body map:HashMap<String,Any>): ResponseData<Any>
}